// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

import Qt 4.7

ListModel {
    ListElement { type: 0; name: "empty" }
    ListElement { type: 2; name: "outside" }

    ListElement { type: 3; name: "bridge" }
    ListElement { type: 4; name: "lava" }
    ListElement { type: 6; name: "destructible block" }
    ListElement { type: 7; name: "destructible block (hidden diamond)" }
    ListElement { type: 8; name: "diamond" }
    ListElement { type: 11; name: "explosive block (not respawning)" }
    ListElement { type: 12; name: "explosive block (respawning)" }

    // control
    ListElement { type: 21; name: "player entry point (facing right)" }
    ListElement { type: 22; name: "player entry point (facing left)" }
    ListElement { type: 5; name: "blue blinking exit" }
    ListElement { type: 9; name: "lift exit" }
    ListElement { type: 49; name: "ambush trigger" }
    ListElement { type: 50; name: "text trigger" }
    ListElement { type: 51; name: "flag" }

    // enemies
    ListElement { type: 13; name: "flier enemy (flies up and down, shoots bullets)" }
    ListElement { type: 14; name: "trooper enemy (shoots lasers, moves)" }
    ListElement { type: 15; name: "zomboid enemy (walks, reanimates)" }
    ListElement { type: 16; name: "jumper enemy" }
    ListElement { type: 17; name: "berzerker enemy (tough, runs quickly)" }
    ListElement { type: 18; name: "elite trooper enemy (shoots energy balls)" }
    ListElement { type: 19; name: "elite jumper enemy" }
    ListElement { type: 20; name: "octopus enemy (flies up and down, shoots on turn)" }
    ListElement { type: 38; name: "many trooper enemies" }
    ListElement { type: 62; name: "stationary trooper enemy" }
    ListElement { type: 58; name: "laser gun 1" }
    ListElement { type: 59; name: "laser gun 2" }
    ListElement { type: 60; name: "laser gun 3" }
    ListElement { type: 27; name: "tripple ball wall gun (green, doesn't aim, indestructible)" }
    ListElement { type: 28; name: "tripple ball wall gun (red, aims)" }

    // triggered ambushes
    ListElement { type: 37; name: "triggered flier enemy (invisible before)" }
    ListElement { type: 39; name: "many triggered zomboid enemies (large red blob)" }
    ListElement { type: 40; name: "many triggered jumper enemies (red blob)" }
    ListElement { type: 41; name: "triggered zomboid enemy (red blob)" }
    ListElement { type: 42; name: "triggered elite trooper enemy (red blob)" }
    ListElement { type: 43; name: "many triggered elite jumper enemies (invisible before)" }

    // hazards
    ListElement { type: 25; name: "mine" }
    ListElement { type: 26; name: "stalactite" }
    ListElement { type: 31; name: "laser hazard 1 (horizontal)" }
    ListElement { type: 32; name: "laser hazard 1 (vertical)" }
    ListElement { type: 33; name: "laser hazard 2 (horizontal)" }
    ListElement { type: 34; name: "laser hazard 2 (vertical)" }
    ListElement { type: 35; name: "laser hazard 3 (horizontal)" }
    ListElement { type: 36; name: "laser hazard 3 (vertical)" }
    ListElement { type: 52; name: "moving block (starts moving right)" }
    ListElement { type: 53; name: "moving block (starts moving up)" }
    ListElement { type: 54; name: "moving block (starts moving left)" }
    ListElement { type: 55; name: "moving block (starts moving down)" }
    ListElement { type: 57; name: "fill the ceiling to the right or the wall below with guns" }

    // friendlies
    ListElement { type: 23; name: "friendly man facing right" }
    ListElement { type: 24; name: "friendly man facing left" }
    ListElement { type: 29; name: "friendly laser wall gun" }

    // decoration
    ListElement { type: 63; name: "text" }
    ListElement { type: 44; name: "small red blob" }
    ListElement { type: 45; name: "small green blob 1" }
    ListElement { type: 46; name: "small green blob 2" }
    ListElement { type: 47; name: "destroyed greed wall gun" }
    ListElement { type: 48; name: "destroyed red wall gun" }

    // boss
    ListElement { type: 61; name: "triggered end boss" }

    // duplicates
    ListElement { type: 10; name: "lava"; hidden: true }
    ListElement { type: 64; name: "moving block (starts moving right)"; hidden: true }
    ListElement { type: 65; name: "moving block (starts moving up)"; hidden: true }
    ListElement { type: 66; name: "moving block (starts moving left)"; hidden: true }
    ListElement { type: 67; name: "moving block (starts moving down)"; hidden: true }
}
