// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

import Qt 4.7

Item {
    id: slider
    width: 15
    height: 100

    property real value : 0

    Rectangle {
        anchors.centerIn: parent
        width: 4
        height: parent.height
        color: uiBackgroundColor
        border.color: uiBorderColor
        border.width: 1
    }

    Rectangle {
        anchors.horizontalCenter: parent.horizontalCenter
        width: parent.width
        height: 8
        radius: 4
        y: slider.height * slider.value
        onYChanged: {
            slider.value = y / slider.height;
        }

        color: uiBackgroundColor
        border.color: uiBorderColor
        border.width: 1

        MouseArea {
            anchors.fill: parent
            drag.target: parent
            drag.axis: "YAxis"
            drag.minimumY: 0
            drag.maximumY: 100
        }
    }
}
